Support Questions
Find answers, ask questions, and share your expertise

Issue upgrading HDP after amabri upgrade

I just finished upgrading my ambari agent/clients to 2.5.1. At this point I was ready to upgrade the rest of my cluster from 2.5 to 2.6. After registering the version and clicking install on.. my cluster I am greeted with a pop up message saying "Packages could not be installed" and "Can not persist request" at which point I get an installing bar that doesn't move under the new version. The log message isn't much help either stating "28 Aug 2017 10:06:34,752 ERROR [ambari-client-thread-77] BaseManagementHandler:61 - Caught a system exception while attempting to create a resource: Can not persist request org.apache.ambari.server.controller.spi.SystemException: Can not persist request" Followed by a massive stack trace. I have also tried going to HDP 2.5.6 and get the same error. Any insight or direction would be much appreciated.

7 REPLIES 7

Re: Issue upgrading HDP after amabri upgrade

Mentor

@Brian Ramsel

What is the OS and document you used as a reference for the upgrade? What do you mean by "my ambari agent/clients to 2.5.1" Did you also upgrade the ambari-server ?

what upgrade option Rolling Upgrade (RU), and Express Upgrade (EU) ?

Re: Issue upgrading HDP after amabri upgrade

Currently running centos 6. Used https://docs.hortonworks.com/HDPDocuments/Ambari-2.5.1.0/bk_ambari-upgrade/content/upgrading_hdp_sta... as my reference for the upgrade and yes I meant to say server and clients.

Re: Issue upgrading HDP after amabri upgrade

Mentor

@Brian Ramsel

What database is your Ambari plugged to?

Re: Issue upgrading HDP after amabri upgrade

postgresql. I checked to verify ambari is the owner of all of the tables in the ambari database and ambari schema

Re: Issue upgrading HDP after amabri upgrade

Mentor

@Brian Ramsel

What database is your Ambari plugged to?

Re: Issue upgrading HDP after amabri upgrade

It appears I have an issue with Jupyter. I believe once I can remove it I should be able to upgrade.

Re: Issue upgrading HDP after amabri upgrade

After removing all references of JUPYTER from my ambari postgresql database the installation moved forward